Bug 621370 - [abrt] crash in Miro-3.0.2-1.fc12: video.py:539:seek_to:TypeError: unsupported operand type(s) for *: 'NoneType' and 'float'
[abrt] crash in Miro-3.0.2-1.fc12: video.py:539:seek_to:TypeError: unsupporte...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
abrt_hash:aad41e30
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 17:03 EDT by william brownell
Modified: 2010-09-15 01:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: Miro-3.0.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 01:38:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.34 KB, text/plain)
2010-08-04 17:03 EDT, william brownell
no flags Details

  None (edit)
Description william brownell 2010-08-04 17:03:55 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/miro.real
component: Miro
executable: /usr/bin/miro.real
kernel: 2.6.31.5-127.fc12.i686.PAE
package: Miro-3.0.2-1.fc12
reason: video.py:539:seek_to:TypeError: unsupported operand type(s) for *: 'NoneType' and 'float'
release: Fedora release 12 (Constantine)

backtrace
-----
video.py:539:seek_to:TypeError: unsupported operand type(s) for *: 'NoneType' and 'float'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/gtk/customcontrols.py", line 98, in do_button_press_event
    self.move_slider_to_mouse(event.x, event.y)
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/gtk/customcontrols.py", line 129, in move_slider_to_mouse
    wrappermap.wrapper(self).emit('moved', self.get_value())
  File "/usr/lib/python2.6/site-packages/miro/signals.py", line 155, in emit
    if callback.invoke(self, args):
  File "/usr/lib/python2.6/site-packages/miro/signals.py", line 76, in invoke
    return self.func(obj, *(args + self.extra_args))
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/videobox.py", line 369, in on_slider_moved
    app.playback_manager.seek_to(new_time)
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/playback.py", line 340, in seek_to
    self.player.seek_to(progress)
  File "/usr/lib/python2.6/site-packages/miro/frontends/widgets/gtk/video.py", line 539, in seek_to
    time = self.get_total_playback_time() * position
TypeError: unsupported operand type(s) for *: 'NoneType' and 'float'

Local variables in innermost frame:
position: 0.3082010582010582
self: <miro.frontends.widgets.gtk.video.VideoPlayer object at 0xab3c30ac>
Comment 1 william brownell 2010-08-04 17:03:57 EDT
Created attachment 436667 [details]
File: backtrace
Comment 2 Fedora Update System 2010-08-29 13:21:02 EDT
Miro-3.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14
Comment 3 Fedora Update System 2010-08-29 13:28:04 EDT
Miro-3.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13
Comment 4 Fedora Update System 2010-08-29 13:32:12 EDT
Miro-3.0.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc12
Comment 5 will kahn-greene 2010-08-30 17:36:07 EDT
This will be fixed in Miro 3.5.
Comment 6 Fedora Update System 2010-08-31 02:29:40 EDT
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13
Comment 7 Fedora Update System 2010-09-15 01:35:49 EDT
Miro-3.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-09-15 01:50:46 EDT
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.